# Ogre::GLSLLinkProgram::UniformReference Struct Reference

structure used to keep track of named uniforms in the linked program object More...

List of all members.

## Public Attributes

String | mName
GLenum | mType
GLint | mLocation
bool | isReal
GLsizei | mElementCount

## Detailed Description

structure used to keep track of named uniforms in the linked program object

Definition at line 41 of file OgreGLSLLinkProgram.h.

## Member Data Documentation

bool Ogre::GLSLLinkProgram::UniformReference::isReal

| Definition at line 46 of file OgreGLSLLinkProgram.h.

GLsizei Ogre::GLSLLinkProgram::UniformReference::mElementCount

| Definition at line 47 of file OgreGLSLLinkProgram.h.

GLint Ogre::GLSLLinkProgram::UniformReference::mLocation

| Definition at line 45 of file OgreGLSLLinkProgram.h.

String Ogre::GLSLLinkProgram::UniformReference::mName

| Definition at line 43 of file OgreGLSLLinkProgram.h.

GLenum Ogre::GLSLLinkProgram::UniformReference::mType

| Definition at line 44 of file OgreGLSLLinkProgram.h.

The documentation for this struct was generated from the following file:

- OgreGLSLLinkProgram.h

Copyright © 2000-2005 by The OGRE Team
Last modified Sun Nov 20 12:47:36 2005